<!DOCTYPE html>
<title>Tambah Data Cabang</title>
<div>
  <form action="/absensi" method="POST">
    <table>
      <tr>
        <td>Cabang</td>
        <td>:</td>
        <td>
          <select name="cabang" id="cabang"></select>
        </td>
      </tr>
      <tr>
        <td>Jenis Absensi</td>
        <td>:</td>
        <td>
          <input type="text" name="judul">
        </td>
      </tr>
      <tr>
        <td>Keterangan</td>
        <td>:</td>
        <td>
          <input type="text" name="keterangan">
        </td>
      </tr>
    </table>
    <div>
      <button type="submit">Submit</button>
    </div>
  </form>
</div>
<script>
  fetch('/cabang')
    .then(response => {
      return response.json();
    })
    .then(value => {
      const selectCabang = document.querySelector('#cabang');

      value.forEach(cabang => {
        const {id, nama} = cabang;
        const {length} = selectCabang.options;
        selectCabang.options[length] = new Option(nama, id);
      });
    })
</script>